{ self, ... }:

let
  inherit (self) inputs;
  system = "x86_64-linux";
  homeDir = self + /profiles;
  pkgs = inputs.nixpkgs.legacyPackages.${system};
  mkSystem = pkgs: hostname:
    pkgs.lib.nixosSystem {
      specialArgs = { inherit inputs; };
      modules = [
        ./base-configuration.nix
        ./${hostname}
        homeDir
        inputs.home-manager.nixosModules.home-manager
      ];
   };
in {
  hulk = mkSystem inputs.nixpkgs "hulk"; 
}
