{ inputs, pkgs, ... }: 

{
  	imports = [ ./fish ];
	programs.ags = {
    	enable = true;
    	extraPackages = with inputs.ags.packages.${pkgs.system}; [
      		apps battery bluetooth greet hyprland mpris network notifd powerprofiles tray wireplumber
    	] ++ [
      		pkgs.fzf pkgs.icon-library
    	];
  	};

	services.darkman = {
    	enable = true;
    	darkModeScripts = {
        	gtk-theme = ''
          		${pkgs.dconf}/bin/dconf write\
          		/org/gnome/desktop/interface/color-scheme "'prefer-dark'"
        	'';
      	};
      	lightModeScripts = {
        	gtk-theme = ''
          		${pkgs.dconf}/bin/dconf write\
          		/org/gnome/desktop/interface/color-scheme "'prefer-light'"
        	'';
      	};
      	settings = {
        	usegeoclue = true;
      	};
    };
}
